Patch Bank

PATCHhttps://bank.dattaremit.com/api/banks/{bank_guid}

Requires a bank-scoped key.

Update a bank.

Required scope: banks:write

Path Params

bank_guidstringrequired

Identifier for the bank.

Body Params

required
namestring

The name of the bank.

supported_trading_symbolsstring[]

The trading symbols supported by the bank.

supported_payout_symbolsobject[]

The payout symbols supported by the bank. This is not yet supported and should be nil or empty.

cors_allowed_originsstring[]

The list of allowed CORS origin URIs.

Responses

200

bank found

401

Unauthorized

403

Forbidden

422

Unprocessable Content

Request

curl https://api.dattaremit.com/api/banks/{bank_guid} \
  -X PATCH \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "supported_trading_symbols": [
    "string"
  ],
  "supported_payout_symbols": [
    {
      "primary_asset": "string",
      "counter_asset": "string",
      "country_code": "string",
      "participants_type": "C2C",
      "route": "bank_account"
    }
  ],
  "cors_allowed_origins": [
    "string"
  ]
}'

Response

bank found

{
  "guid": "string",
  "organization_guid": "string",
  "name": "string",
  "type": "string",
  "supported_trading_symbols": [
    "string"
  ],
  "supported_payout_symbols": [
    {
      "symbol": "string",
      "country_code": "string",
      "participants_type": "string",
      "route": "string"
    }
  ],
  "supported_fiat_account_assets": [
    "string"
  ],
  "supported_country_codes": [
    "string"
  ],
  "features": [
    "string"
  ],
  "cors_allowed_origins": [
    "string"
  ],
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z"
}